## NOTE nonfree only
# 
%ifarch i586
%define debug_package %{nil}
%endif

%define piname	oesenc_pi

Name:		opencpn-oesenc-plugin
Summary:	Provides support for encrypted charts available from o-charts.org
Version:	4.2.17
Release:	%mkrel 1
License:	GPLv3+
# See README.md for distribution permission for pre-built binary
Group:		Geography
URL:		https://github.com/bdbcat/oesenc_pi
Source0:	%{piname}-%{version}.tar.gz
Source1:	mk-tar
# use mk-tar to download the source0
Patch0:		opencpn-oesenc-plugin-4.2.15-mga-armbuild.patch

BuildRequires:	git
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel < 3.1
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(webkit2gtk-4.0)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
This is a plugin for OpenCPN [1] providing support for encrypted charts
available from o-charts.org [2]. The plugin supports purchase, downloading
and rendering of these charts.

-[1] https://www.opencpn.org
-[2] http://o-charts.org

This package is in the nonfree repository as it contains a proprietary binary.
See README.md in the package doc directory for the license information.

%prep
%autosetup -p1 -n %{piname}

%build
%cmake

%cmake_build

%install
%cmake_install

libsgl=$(find %{buildroot}%{_bindir} -name "libsgl*.so"|rev|cut -d/ -f1|rev)
ln -sf %{_bindir}/$libsgl %{buildroot}%{_libdir}/$libsgl

%find_lang opencpn-%{piname}

%files -f opencpn-%{piname}.lang
%doc README.md
%{_bindir}/*
%{_libdir}/libsgl*.so
%{_libdir}/opencpn/lib*
%{_datadir}/opencpn/plugins/%{piname}/


%changelog
* Thu Sep 02 2021 philippedidier <philippedidier> 4.2.17-1.mga8
+ Revision: 1744055
- update closed source binary oeserverd to v 1.20

* Thu Jul 22 2021 barjac <barjac> 4.2.15-6.mga9.nonfree
+ Revision: 1737421
- set version limit on wxgtku BR
+ philippedidier <philippedidier>
- explain the use of mk-tar -correct some typo

* Mon Jul 12 2021 barjac <barjac> 4.2.15-5.mga9.nonfree
+ Revision: 1735758
- Build with wxgtku3.0 not 3.1

* Sat Jun 26 2021 barjac <barjac> 4.2.15-4.mga9.nonfree
+ Revision: 1733885
- patch CMakeLists.txt to use correct arm non-free libs
- symlink  nonfree libs to %%{_libdir}
- change wxgtk BR to wxgtku3.1-devel

* Wed Jun 23 2021 barjac <barjac> 4.2.15-3.mga9.nonfree
+ Revision: 1732009
- force install of correct nonfree binaries per arch
- fix mk-tar output filename

* Wed Jun 23 2021 barjac <barjac> 4.2.15-2.mga9.nonfree
+ Revision: 1731909
- Add missing README.md
- Tidy up mk-tar a bit

* Mon Jun 21 2021 barjac <barjac> 4.2.15-1.mga9.nonfree
+ Revision: 1731529
- new package opencpn-oesenc-plugin

